# CenteredCollectionView
[![Build Status](https://travis-ci.org/BenEmdon/CenteredCollectionView.svg?branch=master)](https://travis-ci.org/BenEmdon/CenteredCollectionView)
[![Version](https://img.shields.io/cocoapods/v/CenteredCollectionView.svg?style=flat)](http://cocoapods.org/pods/CenteredCollectionView)
[![Carthage compatible](https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat)](https://github.com/Carthage/Carthage)
[![Swift 5.0](https://img.shields.io/badge/Swift-5.0-orange.svg?style=flat)](https://swift.org)
[![Platform](https://img.shields.io/badge/platforms-iOS%20%7C%20tvOS-orange.svg)](http://cocoapods.org/pods/CenteredCollectionView)
[![Backers on Open Collective](https://opencollective.com/CenteredCollectionView/backers/badge.svg?style=flat)](#backers) 
[![Sponsors on Open Collective](https://opencollective.com/CenteredCollectionView/sponsors/badge.svg?style=flat)](#sponsors) 

`CenteredCollectionView` is a lightweight drop in place `UICollectionViewFlowLayout` that _pages_ and keeps its cells centered, resulting in the _"carousel effect"_ 🎡

## Example

![Demo](/.github/demo.gif)

To try the example using Cocoapods:
```bash
pod try CenteredCollectionView
```

## Requirements
This pod requires a deployment target of iOS 9.0 or greater

## Installation

CenteredCollectionView is available through [CocoaPods](http://cocoapods.org) and [Carthage](https://github.com/Carthage/Carthage).

To install it with **Cocoapods**, add the following line to your `Podfile`:
```ruby
pod "CenteredCollectionView"
```

To install it with **Carthage**, add the following line to your `Cartfile`:
```
github "BenEmdon/CenteredCollectionView"
```

## Usage
Checkout [`USAGE.md`](/USAGE.md)

## API
Checkout [`API.md`](/API.md)

## Contributing

Have a suggestion? All contributions are welcome!

If you make a pull request or an issue, you're likely to get a _swift_ response!

## Author

[@BenEmdon 👨‍💻](https://twitter.com/BenEmdon)

## Contributors

This project exists thanks to all the people who contribute. 
<a href="https://github.com/BenEmdon/CenteredCollectionView/graphs/contributors"><img src="https://opencollective.com/CenteredCollectionView/contributors.svg?width=890&button=false" /></a>


## Backers

Thank you to all our backers! 🙏 [[Become a backer](https://opencollective.com/CenteredCollectionView#backer)]

<a href="https://opencollective.com/CenteredCollectionView#backers" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/backers.svg?width=890"></a>


## Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. [[Become a sponsor](https://opencollective.com/CenteredCollectionView#sponsor)]

<a href="https://opencollective.com/CenteredCollectionView/sponsor/0/website" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/CenteredCollectionView/sponsor/1/website" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/CenteredCollectionView/sponsor/2/website" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/CenteredCollectionView/sponsor/3/website" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/CenteredCollectionView/sponsor/4/website" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/CenteredCollectionView/sponsor/5/website" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/CenteredCollectionView/sponsor/6/website" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/CenteredCollectionView/sponsor/7/website" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/CenteredCollectionView/sponsor/8/website" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/CenteredCollectionView/sponsor/9/website" target="_blank"><img src="https://opencollective.com/CenteredCollectionView/sponsor/9/avatar.svg"></a>



## License

CenteredCollectionView is available under the MIT license. See the LICENSE file for more info.
